com.sun.jdi.event

## Interface AccessWatchpointEvent

- All Superinterfaces:
    Event, Locatable, LocatableEvent, Mirror, WatchpointEvent

      public interface AccessWatchpointEvent
      extends WatchpointEvent

  Notification of a field access in the target VM. Field modifications are not considered field accesses.
  Since:
    1.3
  See Also:
    `EventQueue`, `VirtualMachine`

- - ### Method Summary

    - ### Methods inherited from interface com.sun.jdi.event.WatchpointEvent

      `field, object, valueCurrent`

    - ### Methods inherited from interface com.sun.jdi.event.LocatableEvent

      `thread`

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface com.sun.jdi.Locatable

      `location`

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.